View Issue Details

IDProjectCategoryView StatusLast Update
0022827LazarusLCLpublic2012-10-03 12:32
ReporterVojtech Cihak Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022827: PageControl ignores acceleration keys
DescriptionPageControl ignores acceleration keys.

If TEdit is focused and I press Alt+A,B or C then page is not changed. The demo works well in GTK2.

I tested on Kubuntu and Chakra-Linux with libQt4pas.5.2.5 and ...5.2.4.

Lazarus 1.1 r38424 FPC 2.7.1 x86_64-linux-qt

Thanks
TagsNo tags attached.
Fixed in Revision38572
LazTarget-
WidgetsetQT
Attached Files

Relationships

related to 0018748 closedZeljan Rikalo Qt: main menu isn't triggered by an Alt+Key action if main form isn't active 

Activities

2012-09-07 13:23

 

PageControl.zip (8,904 bytes)

Zeljan Rikalo

2012-09-07 15:15

developer   ~0062180

Are you sure that this is NOT an gtk2 only feature (like automatic menu with list of tabs in pagecontrol) ? In win32 such shortcuts doesn't work too (tried via wine).

Vojtech Cihak

2012-09-07 16:42

reporter   ~0062182

Last edited: 2012-09-07 16:44

I tried to make a little demo in Qt Designer and it switch pages of Tab Widget even if I am focused in LineEdit.
I uploaded it (untitled.ui).

2012-09-07 16:43

 

untitled.ui (1,981 bytes)

Zeljan Rikalo

2012-09-08 06:34

developer   ~0062185

Then qtlcl stops that...but why under win32 it does not work ? Is it supposed to work so ? Anyone can test with Delphi ?

Zeljan Rikalo

2012-09-08 07:47

developer   ~0062186

hm...just tested pure app without lcl (using only bindings) and it does not work.
Maybe we need some global param to activate mnemonic keys.

Zeljan Rikalo

2012-09-08 09:13

developer   ~0062189

Please test and close if ok. Will be merged to 1.0.2

Vojtech Cihak

2012-10-03 12:32

reporter   ~0062853

Thanks.

Issue History

Date Modified Username Field Change
2012-09-07 13:23 Vojtech Cihak New Issue
2012-09-07 13:23 Vojtech Cihak File Added: PageControl.zip
2012-09-07 13:23 Vojtech Cihak Widgetset => QT
2012-09-07 15:05 Zeljan Rikalo Status new => assigned
2012-09-07 15:05 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-09-07 15:15 Zeljan Rikalo LazTarget => -
2012-09-07 15:15 Zeljan Rikalo Note Added: 0062180
2012-09-07 15:15 Zeljan Rikalo Status assigned => feedback
2012-09-07 16:42 Vojtech Cihak Note Added: 0062182
2012-09-07 16:43 Vojtech Cihak File Added: untitled.ui
2012-09-07 16:44 Vojtech Cihak Note Edited: 0062182
2012-09-08 06:34 Zeljan Rikalo Note Added: 0062185
2012-09-08 07:47 Zeljan Rikalo Note Added: 0062186
2012-09-08 09:01 Zeljan Rikalo Relationship added related to 0018478
2012-09-08 09:01 Zeljan Rikalo Relationship deleted related to 0018478
2012-09-08 09:05 Zeljan Rikalo Relationship added related to 0018748
2012-09-08 09:13 Zeljan Rikalo Fixed in Revision => 38572
2012-09-08 09:13 Zeljan Rikalo Status feedback => resolved
2012-09-08 09:13 Zeljan Rikalo Resolution open => fixed
2012-09-08 09:13 Zeljan Rikalo Note Added: 0062189
2012-10-03 12:32 Vojtech Cihak Status resolved => closed
2012-10-03 12:32 Vojtech Cihak Note Added: 0062853